# operator==,!=(std::bernoulli_distribution)

From cppreference.com
< cpp‎ | numeric‎ | random‎ | bernoulli distribution

bool operator==( const bernoulli_distribution& lhs, const bernoulli_distribution& rhs ); | (1) |
bool operator!=( const bernoulli_distribution& lhs, const bernoulli_distribution& rhs ); | (2) |

Compares two distribution objects. Two distribution objects are equal when parameter values and internal state is the same.

1) Compares two distribution objects for equality.

2) Compares two distribution objects for inequality.

### Parameters

lhs, rhs | - | distribution objects to compare

### Return value

1) true if the distribution objects are equal, false otherwise

2) true if the distribution objects are not equal, false otherwise

### Complexity

Constant.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/bernoulli_distribution/operator_cmp&oldid=79640"